import type { IndyEndpointAttrib } from './didSovUtil';
import type { IndySdkPool } from '../ledger';
import type { AgentContext, DidRegistrar, DidCreateOptions, DidCreateResult, DidDeactivateResult, DidUpdateResult, Buffer, Key } from '@aries-framework/core';
import type { NymRole } from 'indy-sdk';
export declare class IndySdkSovDidRegistrar implements DidRegistrar {
    readonly supportedMethods: string[];
    create(agentContext: AgentContext, options: IndySdkSovDidCreateOptions): Promise<DidCreateResult>;
    update(): Promise<DidUpdateResult>;
    deactivate(): Promise<DidDeactivateResult>;
    registerPublicDid(agentContext: AgentContext, submitterDid: string, submitterSigningKey: Key, targetDid: string, signingKey: Key, alias: string, pool: IndySdkPool, role?: NymRole): Promise<string>;
    setEndpointsForDid(agentContext: AgentContext, did: string, signingKey: Key, endpoints: IndyEndpointAttrib, pool: IndySdkPool): Promise<void>;
}
export interface IndySdkSovDidCreateOptions extends DidCreateOptions {
    method: 'sov';
    did?: undefined;
    didDocument?: never;
    options: {
        alias: string;
        role?: NymRole;
        endpoints?: IndyEndpointAttrib;
        indyNamespace?: string;
        submitterVerificationMethod: string;
    };
    secret?: {
        privateKey?: Buffer;
    };
}
export type IndySdkSovDidUpdateOptions = never;
export type IndySdkSovDidDeactivateOptions = never;
